umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UMLObjectList Class Reference

`#include <umlobjectlist.h>`

Inheritance diagram for UMLObjectList:

## Public Member Functions
| UMLObjectList ()
virtual | ~UMLObjectList ()
virtual void | copyInto (UMLObjectList *rhs) const
virtual UMLObjectList * | clone () const

## Detailed Description

This sub-class adds copyInto and clone to the QList<UMLObject*> base class.

## Constructor & Destructor Documentation

## ◆ UMLObjectList()

UMLObjectList::UMLObjectList | ( |  | ) |

## ◆ ~UMLObjectList()

UMLObjectList::~UMLObjectList | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

UMLObjectList * UMLObjectList::clone | ( |  | ) | const
| virtual

Make a clone of this object.

## ◆ copyInto()

void UMLObjectList::copyInto | ( | UMLObjectList * | rhs | ) | const
| virtual

Copy the internal presentation of this object into the new object.

The documentation for this class was generated from the following files:

- umbrello/umlmodel/umlobjectlist.h
- umbrello/umlmodel/umlobjectlist.cpp